package com.logicbig.example;

import org.springframework.beans.BeanUtils;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;

public class ResolveSignature2 {

    public static void main(String[] args) throws
            InvocationTargetException, IllegalAccessException {
        Method method = BeanUtils.resolveSignature("doSomething", LocalBean.class);
        System.out.println("resolved method: "+method);
        method.invoke(new LocalBean());
    }

    private static class LocalBean {
        public void doSomething() {
            System.out.println("-- doing something -- ");
        }
    }
}